> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pin By CID Jobs

> List all currently running pinByHash jobs



## OpenAPI

````yaml get /pinning/pinJobs
openapi: 3.0.0
info:
  title: Pinata API
  description: ''
  termsOfService: https://www.pinata.cloud/terms-conditions
  contact:
    name: Pinata Team
    email: team@pinata.cloud
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud
security:
  - bearerAuth: []
paths:
  /pinning/pinJobs:
    get:
      summary: List Pin By CID Jobs
      description: List all currently running pinByHash jobs
      parameters:
        - name: sort
          in: query
          description: Values include ASC or DESC
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: ASC
          examples:
            default:
              value: ASC
        - name: status
          in: query
          description: Filter by the status of the job in the pinning queue
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: retrieving
            enum:
              - prechecking
              - retrieving
              - expired
              - over_free_limit
              - over_max_size
              - invalid_object
              - bad_host_node
              - backfilled
          examples:
            default:
              value: retrieving
        - name: ipfs_pin_hash
          in: query
          description: CID of the file to be pinned
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: CID
          examples:
            default:
              value: CID
        - name: limit
          in: query
          description: Number of jobs to return. Default is 5 and 1000 is the maximum
          required: false
          style: form
          explode: true
          schema:
            type: integer
            example: 5
          examples:
            default:
              value: 5
        - name: offset
          in: query
          description: >-
            Provide the record offset for records being returned. This is how
            you retrieve records on additional pages (default is 0)
          required: false
          style: form
          explode: true
          schema:
            type: integer
            example: 0
          examples:
            default:
              value: 0
      responses:
        '200':
          description: |-
            {
                count: (this is the total number of pin job records that exist for the query filters you passed in),
                rows: [
                    {
                        id: (the id for the pin job record),
                        ipfs_pin_hash: (the IPFS multi-hash for the content you pinned),
                        date_queued: (The date this hash was initially queued to be pinned - represented in ISO 8601 format),
                        status: (The current status for the pin job),
                        name: (If you passed in a name for your hash, it will be listed here),
                        keyvalues: (If you passed in keyvalues for your hash, they will be listed here),
                        host_nodes: (If you provided host nodes for your hash, they will be listed here),
                        pin_policy: Once this content has been found, this is the pin policy that will be used for replications
                    },
                    {
                        same record format as above
                    }
                    .
                    .
                    .
                ]
            }
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_3'
      security:
        - bearerAuth: []
      servers:
        - url: https://api.pinata.cloud
components:
  schemas:
    inline_response_200_3:
      type: object
      properties:
        count:
          type: integer
        rows:
          type: array
          items:
            $ref: '#/components/schemas/inline_response_200_3_rows'
      x-examples:
        Example 1:
          count: 4
          rows:
            - id: 08b7a1aa-52a0-4154-b0ff-3735988e4df7
              ipfs_pin_hash: QmQiqjxxgwSEZzyUoWsSD8m5zEhFZdAWTM7QZv88iYQzNQ
              date_queued: '2023-05-26T21:16:08.205Z'
              name: OG EQB ART API Upload
              status: expired
              host_nodes:
                - >-
                  /ip4/127.0.0.1/tcp/4001/p2p/12D3KooWJHeyQxbbJ4VzqLqa2ufo9KPWsjxPFzzRgheZtwiJe7gc
                - >-
                  /ip4/192.168.100.71/tcp/4001/p2p/12D3KooWJHeyQxbbJ4VzqLqa2ufo9KPWsjxPFzzRgheZtwiJe7gc
              pin_policy:
                regions:
                  - id: US-EAST-1
                    desiredReplicationCount: 1
                version: 1
            - id: 4927d14c-b4b3-4c6e-88ea-83f3afb1885b
              ipfs_pin_hash: QmU2trVdrKBPsSZxCzzxDUa7HVTf8H2G8v5Ec7tMp7zdZF
              date_queued: '2023-06-12T20:26:55.472Z'
              name: Pin by CID Test
              status: expired
              pin_policy:
                regions:
                  - id: US-EAST-1
                    desiredReplicationCount: 1
                version: 1
            - id: 19d89d6a-6c7b-4156-bb6a-d37b30387e72
              ipfs_pin_hash: QmNgrsbHv4kxwbp4zWvFVAJf1wJTL6YismJccZwi2MoiYc
              date_queued: '2023-06-20T01:04:01.825Z'
              name: OG EQB ART API Upload
              status: expired
              host_nodes:
                - >-
                  /ip4/192.168.100.71/tcp/4001/p2p/12D3KooWJHeyQxbbJ4VzqLqa2ufo9KPWsjxPFzzRgheZtwiJe7gc
              pin_policy:
                regions:
                  - id: US-EAST-1
                    desiredReplicationCount: 1
                version: 1
            - id: c9e74c33-ce62-4b11-a3f4-bb5142d6ff3d
              ipfs_pin_hash: bafybeiapgnfykc7dyfly3tagyqk3hctmrwibq5bevdwlnywo7dyfznbqaa
              date_queued: '2023-07-07T19:31:37.485Z'
              name: MyCustomName
              status: searching
              keyvalues:
                customKey: customValue
                customKey2: customValue2
              pin_policy:
                regions:
                  - id: US-EAST-1
                    desiredReplicationCount: 1
                version: 1
    inline_response_200_3_rows:
      type: object
      properties:
        id:
          type: string
        ipfs_pin_hash:
          type: string
        date_queued:
          type: string
        name:
          type: string
        status:
          type: string
        keyvalues:
          nullable: true
        host_nodes:
          type: array
          nullable: true
          items:
            type: string
        pin_policy:
          $ref: '#/components/schemas/inline_response_200_3_pin_policy'
    inline_response_200_3_pin_policy:
      type: object
      properties:
        regions:
          type: array
          items:
            $ref: '#/components/schemas/inline_response_200_3_pin_policy_regions'
        version:
          type: integer
    inline_response_200_3_pin_policy_regions:
      type: object
      properties:
        id:
          type: string
        desiredReplicationCount:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````